GNU bug report logs - #26907
guix import (really: SSL) broken in different ways

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Danny Milosavljevic <dannym@HIDDEN>; dated Sat, 13 May 2017 10:02:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 26907 <at> debbugs.gnu.org:


Received: (at 26907) by debbugs.gnu.org; 13 May 2017 14:37:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 13 10:37:49 2017
Received: from localhost ([127.0.0.1]:43088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d9YB3-0008Nj-77
	for submit <at> debbugs.gnu.org; Sat, 13 May 2017 10:37:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d9YB1-0008NW-Ps
 for 26907 <at> debbugs.gnu.org; Sat, 13 May 2017 10:37:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d9YAt-00035W-Fh
 for 26907 <at> debbugs.gnu.org; Sat, 13 May 2017 10:37:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49061)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d9YAt-00035G-Bo; Sat, 13 May 2017 10:37:39 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:41430 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1d9YAs-0008RJ-Hf; Sat, 13 May 2017 10:37:39 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#26907: guix import (really: SSL) broken in different ways
References: <20170513120125.6bc1b03f@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 =?utf-8?Q?Flor=C3=A9al?= an 225 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Sat, 13 May 2017 16:37:36 +0200
In-Reply-To: <20170513120125.6bc1b03f@HIDDEN> (Danny Milosavljevic's
 message of "Sat, 13 May 2017 12:01:25 +0200")
Message-ID: <87ziegzutr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26907
Cc: 26907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi Danny,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> So after I installed the huge update from master, it seems that guix impo=
rt doesn't work anymore (the cwd is a guix master checkout):
>
> (1) Normal:
>
> $ ./pre-inst-env guix import pypi flask-migrate
> ...
> In guix/import/pypi.scm:
>    278:17  5 (pypi->guix-package _)
> In ice-9/boot-9.scm:
>     837:9  4 (catch srfi-34 #<procedure 2b12300 at guix/import/json?> ?)
> In guix/import/json.scm:
>     32:17  3 (_)
> In guix/http-client.scm:
>    239:25  2 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
> In guix/build/download.scm:
>     520:4  1 (open-connection-for-uri _ #:timeout _ # _)
>     360:0  0 (tls-wrap #<input-output: socket 14> "pypi.python.org" # ?)
>
> guix/build/download.scm:360:0: In procedure tls-wrap:
> guix/build/download.scm:360:0: In procedure module-lookup: Unbound variab=
le: make-session

GnuTLS is not installed.  It=E2=80=99s now a mandatory dependency and
./configure checks for it.

Note that if you use Guile 2.2, you need to install =E2=80=9Cguile2.2-gnutl=
s=E2=80=9D
rather than just =E2=80=9Cgnutls=E2=80=9D.

> (2) In an environment:
>
> $ guix environment guix --fallback --pure
> $ ./pre-inst-env guix import pypi flask-migrate
> ...
> In guix/import/pypi.scm:
>    278:17  5 (pypi->guix-package _)
> In ice-9/boot-9.scm:
>     837:9  4 (catch srfi-34 #<procedure 1e971a0 at guix/import/json?> ?)
> In guix/import/json.scm:
>     32:17  3 (_)
> In guix/http-client.scm:
>    239:25  2 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
> In guix/build/download.scm:
>     520:4  1 (open-connection-for-uri _ #:timeout _ # _)
>     417:6  0 (tls-wrap #<closed: file 1069af0> _ # _)
>
> guix/build/download.scm:417:6: In procedure tls-wrap:
> guix/build/download.scm:417:6: X.509 certificate of 'pypi.python.org' cou=
ld not be verified:
>   signer-not-found
>   invalid

See =E2=80=9CX.509 Certificates=E2=80=9D in the manual.  :-)

> (2b) In an environment with guile-json:
>
> $ guix environment guix --fallback --pure --ad-hoc guile-json
> $ ./pre-inst-env guix import pypi flask-migrate
> ...
>
> ERROR: In procedure scm-error:
> ERROR: no code for module (json)

If you use Guile 2.2, you need =E2=80=9Cguile2.2-json=E2=80=9D, not =E2=80=
=9Cguile-json=E2=80=9D.

> (3) In a container:
>
> $ guix environment -C guix --fallback --pure --ad-hoc guile-json
> $ ./pre-inst-env guix import pypi flask-migrate
> ...
> In guix/import/pypi.scm:
>    278:17  7 (pypi->guix-package _)
> In ice-9/boot-9.scm:
>     837:9  6 (catch srfi-34 #<procedure 4dac340 at guix/import/json?> ?)
> In guix/import/json.scm:
>     32:17  5 (_)
> In guix/http-client.scm:
>    239:25  4 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
> In guix/build/download.scm:
>     520:4  3 (open-connection-for-uri _ #:timeout _ # _)
>    521:14  2 (thunk)
>     460:7  1 (open-socket-for-uri _ #:timeout _)
> In unknown file:
>            0 (getaddrinfo "pypi.python.org" "https" 32 #<undefined> # ?)
>
> ERROR: In procedure getaddrinfo:
> ERROR: In procedure getaddrinfo: Servname not supported for ai_socktype

In addition to -C, you need -N for network access.

> (4) For reference, the guix-pulled version works:
>
> $ cd /
> $ guix import pypi flask-migrate
> following redirection to `https://pypi.python.org/pypi/Flask-Migrate/json=
'...
>
> Starting download of /tmp/guix-file.lHkpNj
> From https://pypi.python.org/packages/a9/fe/559c313679b08f67efb9fba6f01de=
bbc9ea3a488539d03a5a38371351456/Flask-Migrate-2.0.3.tar.gz...
>  ...-2.0.3.tar.gz  15KiB            170KiB/s 00:00 [####################]=
 100.0%
> (package
> ...
>
> Maybe I need to logout and login again?  Will test that later - but right=
 now I just wanted to log the errors.

I think you stumbled upon a mixture of poor error reporting,
misconfiguration, and overall a situation where there are many ways to
shoot oneself in the foot.

HTH!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#26907; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2017 10:01:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 13 06:01:46 2017
Received: from localhost ([127.0.0.1]:41811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d9Trt-0008E5-Tm
	for submit <at> debbugs.gnu.org; Sat, 13 May 2017 06:01:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1d9Trt-0008Dt-3G
 for submit <at> debbugs.gnu.org; Sat, 13 May 2017 06:01:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1d9Trm-00063U-UQ
 for submit <at> debbugs.gnu.org; Sat, 13 May 2017 06:01:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56362)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dannym@HIDDEN>)
 id 1d9Trm-00063K-RS
 for submit <at> debbugs.gnu.org; Sat, 13 May 2017 06:01:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41893)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1d9Trl-0003rB-Gl
 for bug-guix@HIDDEN; Sat, 13 May 2017 06:01:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1d9Trg-00060U-LV
 for bug-guix@HIDDEN; Sat, 13 May 2017 06:01:37 -0400
Received: from dd1012.kasserver.com ([85.13.128.8]:50636)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dannym@HIDDEN>)
 id 1d9Trg-0005zm-FV
 for bug-guix@HIDDEN; Sat, 13 May 2017 06:01:32 -0400
Received: from localhost (178.113.190.188.wireless.dyn.drei.com
 [178.113.190.188])
 by dd1012.kasserver.com (Postfix) with ESMTPSA id 1CC201CA0156
 for <bug-guix@HIDDEN>; Sat, 13 May 2017 12:01:30 +0200 (CEST)
Date: Sat, 13 May 2017 12:01:25 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: guix import (really: SSL) broken in different ways
Message-ID: <20170513120125.6bc1b03f@HIDDEN>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

So after I installed the huge update from master, it seems that guix import=
 doesn't work anymore (the cwd is a guix master checkout):

(1) Normal:

$ ./pre-inst-env guix import pypi flask-migrate
...
In guix/import/pypi.scm:
   278:17  5 (pypi->guix-package _)
In ice-9/boot-9.scm:
    837:9  4 (catch srfi-34 #<procedure 2b12300 at guix/import/json?> ?)
In guix/import/json.scm:
    32:17  3 (_)
In guix/http-client.scm:
   239:25  2 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
In guix/build/download.scm:
    520:4  1 (open-connection-for-uri _ #:timeout _ # _)
    360:0  0 (tls-wrap #<input-output: socket 14> "pypi.python.org" # ?)

guix/build/download.scm:360:0: In procedure tls-wrap:
guix/build/download.scm:360:0: In procedure module-lookup: Unbound variable=
: make-session

(2) In an environment:

$ guix environment guix --fallback --pure
$ ./pre-inst-env guix import pypi flask-migrate
...
In guix/import/pypi.scm:
   278:17  5 (pypi->guix-package _)
In ice-9/boot-9.scm:
    837:9  4 (catch srfi-34 #<procedure 1e971a0 at guix/import/json?> ?)
In guix/import/json.scm:
    32:17  3 (_)
In guix/http-client.scm:
   239:25  2 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
In guix/build/download.scm:
    520:4  1 (open-connection-for-uri _ #:timeout _ # _)
    417:6  0 (tls-wrap #<closed: file 1069af0> _ # _)

guix/build/download.scm:417:6: In procedure tls-wrap:
guix/build/download.scm:417:6: X.509 certificate of 'pypi.python.org' could=
 not be verified:
  signer-not-found
  invalid

(2b) In an environment with guile-json:

$ guix environment guix --fallback --pure --ad-hoc guile-json
$ ./pre-inst-env guix import pypi flask-migrate
...

ERROR: In procedure scm-error:
ERROR: no code for module (json)

(3) In a container:

$ guix environment -C guix --fallback --pure --ad-hoc guile-json
$ ./pre-inst-env guix import pypi flask-migrate
...
In guix/import/pypi.scm:
   278:17  7 (pypi->guix-package _)
In ice-9/boot-9.scm:
    837:9  6 (catch srfi-34 #<procedure 4dac340 at guix/import/json?> ?)
In guix/import/json.scm:
    32:17  5 (_)
In guix/http-client.scm:
   239:25  4 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
In guix/build/download.scm:
    520:4  3 (open-connection-for-uri _ #:timeout _ # _)
   521:14  2 (thunk)
    460:7  1 (open-socket-for-uri _ #:timeout _)
In unknown file:
           0 (getaddrinfo "pypi.python.org" "https" 32 #<undefined> # ?)

ERROR: In procedure getaddrinfo:
ERROR: In procedure getaddrinfo: Servname not supported for ai_socktype

(4) For reference, the guix-pulled version works:

$ cd /
$ guix import pypi flask-migrate
following redirection to `https://pypi.python.org/pypi/Flask-Migrate/json'.=
..

Starting download of /tmp/guix-file.lHkpNj
=46rom https://pypi.python.org/packages/a9/fe/559c313679b08f67efb9fba6f01debb=
c9ea3a488539d03a5a38371351456/Flask-Migrate-2.0.3.tar.gz...
 ...-2.0.3.tar.gz  15KiB            170KiB/s 00:00 [####################] 1=
00.0%
(package
...

Maybe I need to logout and login again?  Will test that later - but right n=
ow I just wanted to log the errors.




Acknowledgement sent to Danny Milosavljevic <dannym@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#26907; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.